v1.0.0
OpenAPI 3.1.0
List one-time send variants
Client Libraries
US region
Returns a one-time send's content variants (a one-time send is referred to as a "newsletter" in our APIs)—these are either different languages in a multi-language one-time send or A/B tests.
The identifier of a one-time send.
The one-time send you requested does not exist.
curl https://api.customer.io/v1/newsletters/1/contents \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"contents": [
{
"bcc": "string",
"body": "<strong>Hello from the API</strong>",
"body_amp": "string",
"cc": "string",
"deduplicate_id": "15:1492548073",
"fake_bcc": true,
"from": "sentFrom@example.com",
"from_id": 1,
"headers": "[{\"name\":\"X-Mailgun-Tag\",\"value\":\"my-cool-tag\"},{\"name\":\"X-Custom-Header\",\"value\":\"custom-value\"}]",
"id": 1,
"language": "fr",
"layout": "<html><body>{{ content }}</body></html>",
"name": "one-time send variant A",
"newsletter_id": 10,
"preheader_text": "string",
"preprocessor": "premailer",
"recipient": "{{customer.email}}",
"reply_to": "replyto@example.com",
"reply_to_id": 38,
"subject": "Did you get that thing I sent you?",
"type": "email"
}
]
}Returns one-time send content_ids. Each object represents an individual variant of this one-time send.